Bug 1124672 - [RFE][horizon]: Domain Admin Support in Horizon
Summary: [RFE][horizon]: Domain Admin Support in Horizon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: Upstream M1
: 7.0 (Kilo)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_kilo-1 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 04:06 UTC by RHOS Integration
Modified: 2015-08-05 13:13 UTC (History)
7 users (show)

Fixed In Version: python-django-horizon-2015.1.0-6.el7ost
Doc Type: Enhancement
Doc Text:
This update adds partial support for Domain Admins to the OpenStack Dashboard. In addition, when using Identity Service (keystone) version 3, a newly-created user does not need to have a primary project specified.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:13:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1548 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2015-08-05 17:07:06 UTC

Description RHOS Integration 2014-07-30 04:06:48 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/domain-admin-support.

Description:

Allow Horizon to support Domain Admin login:

Task:
1. Add support for Domain scoped tokens
2. Remove requirement during User creation to have a primary project. Domain Admin may not be interacting with OpenStack services (Nova, Cinder, Swift, etc), they would be only talking to Keystone and would just use the Domain scoped token rather than project scoped token,

Specification URL (additional information):

None

Comment 3 Matthias Runge 2015-06-01 06:09:59 UTC
The only feature added here is (or how to test):

when using keystone v3, creating a user doesn't require to select a primary project for a newly created user.

When on keystone v2, a primary project for a new user should be still required.

Comment 4 Ido Ovadia 2015-06-16 14:36:51 UTC
Verified
========
python-django-horizon-2015.1.0-10.el7ost.noarch

Comment 6 errata-xmlrpc 2015-08-05 13:13:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1548


Note You need to log in before you can comment on or make changes to this bug.